////////////////////////////////////////////////////////////////////////
/*

     File: DataTransferEvent.java
   Author: Peter Hollemans
     Date: 2002/02/16

  CoastWatch Software Library and Utilities
  Copyright (c) 2002 National Oceanic and Atmospheric Administration
  All rights reserved.

  Developed by: CoastWatch / OceanWatch
                Center for Satellite Applications and Research
                http://coastwatch.noaa.gov

  For conditions of distribution and use, see the accompanying
  license.txt file.

*/
////////////////////////////////////////////////////////////////////////

// Package
// -------
package noaa.coastwatch.io;

// Imports
// -------
import java.util.EventObject;

/**
 * A data transfer event handles the details of a data transfer.  Data
 * transfer events are generated by a <code>DataTransfer</code> object
 * to signal the start, progress, stop, and error in a data transfer
 * operation.
 *
 * @author Peter Hollemans
 * @since 3.1.5
 */
public class DataTransferEvent
  extends EventObject {

  ////////////////////////////////////////////////////////////

  /** Create a new data transfer event. */
  public DataTransferEvent (
    Object source
  ) { 
 
    super (source);

  } // DataTransferEvent

  ////////////////////////////////////////////////////////////

} // DataTransferEvent class

////////////////////////////////////////////////////////////////////////
